Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687182 - [abrt] lollypop: __vacuum(): application.py:346:__vacuum:AttributeError: 'TracksDatabase' object has no attribute 'del_non_persistent'
Summary: [abrt] lollypop: __vacuum(): application.py:346:__vacuum:AttributeError: 'Tra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:38a05dc53301e03e47ebe67f968...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-10 18:09 UTC by Nicolas Berrehouc
Modified: 2019-03-29 19:11 UTC (History)
2 users (show)

Fixed In Version: lollypop-0.9.925-1.fc29 lollypop-0.9.925-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-20 22:12:45 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2019-03-10 18:10 UTC, Nicolas Berrehouc
no flags Details
File: cgroup (deleted)
2019-03-10 18:10 UTC, Nicolas Berrehouc
no flags Details
File: cpuinfo (deleted)
2019-03-10 18:10 UTC, Nicolas Berrehouc
no flags Details
File: environ (deleted)
2019-03-10 18:10 UTC, Nicolas Berrehouc
no flags Details
File: mountinfo (deleted)
2019-03-10 18:10 UTC, Nicolas Berrehouc
no flags Details
File: namespaces (deleted)
2019-03-10 18:10 UTC, Nicolas Berrehouc
no flags Details
File: open_fds (deleted)
2019-03-10 18:10 UTC, Nicolas Berrehouc
no flags Details

Description Nicolas Berrehouc 2019-03-10 18:09:59 UTC
Description of problem:
Only open and close Lollypop.

$ lollypop 
[ERROR] 2019-03-10 19:02:05 LastFM::__on_get_password(): no attributes
[ERROR] 2019-03-10 19:02:05 LastFM::__on_get_password(): no attributes
[ERROR] 2019-03-10 19:02:06 CollectionScanner:: __scan_add_files: gst-stream-error-quark: Ce fichier semble être un fichier texte (5)
[ERROR] 2019-03-10 19:02:06 CollectionScanner:: __scan_add_files: gst-stream-error-quark: Ce fichier semble être un fichier texte (5)
[ERROR] 2019-03-10 19:02:06 CollectionScanner:: __scan_add_files: gst-core-error-quark: Il manque un greffon dans votre installation de GStreamer. (12)
[ERROR] 2019-03-10 19:02:06 CollectionScanner:: __scan_add_files: gst-core-error-quark: Il manque un greffon dans votre installation de GStreamer. (12)
[ERROR] 2019-03-10 19:02:06 CollectionScanner:: __scan_add_files: gst-core-error-quark: Il manque un greffon dans votre installation de GStreamer. (12)
[ERROR] 2019-03-10 19:02:06 CollectionScanner:: __scan_add_files: gst-core-error-quark: Il manque un greffon dans votre installation de GStreamer. (12)
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 236, in quit
    self.__vacuum()
  File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 346, in __vacuum
    self.tracks.del_non_persistent()
AttributeError: 'TracksDatabase' object has no attribute 'del_non_persistent'

Version-Release number of selected component:
lollypop-0.9.924-2.fc29

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/lollypop
crash_function: __vacuum
exception_type: AttributeError
executable:     /usr/bin/lollypop
interpreter:    python3-3.7.2-4.fc29.x86_64
kernel:         4.20.14-200.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
application.py:346:__vacuum:AttributeError: 'TracksDatabase' object has no attribute 'del_non_persistent'

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 236, in quit
    self.__vacuum()
  File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 346, in __vacuum
    self.tracks.del_non_persistent()
AttributeError: 'TracksDatabase' object has no attribute 'del_non_persistent'

Local variables in innermost frame:
self: <application.Application object at 0x7fb8ec1f3ab0 (lollypop+application+Application at 0x5587da393200)>

Comment 1 Nicolas Berrehouc 2019-03-10 18:10:02 UTC
Created attachment 1542656 [details]
File: backtrace

Comment 2 Nicolas Berrehouc 2019-03-10 18:10:03 UTC
Created attachment 1542657 [details]
File: cgroup

Comment 3 Nicolas Berrehouc 2019-03-10 18:10:04 UTC
Created attachment 1542658 [details]
File: cpuinfo

Comment 4 Nicolas Berrehouc 2019-03-10 18:10:05 UTC
Created attachment 1542659 [details]
File: environ

Comment 5 Nicolas Berrehouc 2019-03-10 18:10:08 UTC
Created attachment 1542660 [details]
File: mountinfo

Comment 6 Nicolas Berrehouc 2019-03-10 18:10:09 UTC
Created attachment 1542661 [details]
File: namespaces

Comment 7 Nicolas Berrehouc 2019-03-10 18:10:10 UTC
Created attachment 1542662 [details]
File: open_fds

Comment 8 MartinKG 2019-03-11 09:09:37 UTC
does the problem also occur with the current version lollypop-0.9.925 ?
https://koji.fedoraproject.org/koji/buildinfo?buildID=1228688

Comment 9 Nicolas Berrehouc 2019-03-11 11:41:15 UTC
No more error with last version from koji when closing application.

Comment 10 Fedora Update System 2019-03-11 11:55:08 UTC
lollypop-0.9.925-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-42fc100c6d

Comment 11 Fedora Update System 2019-03-11 11:55:57 UTC
lollypop-0.9.925-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f509e4cb54

Comment 12 Fedora Update System 2019-03-11 14:41:53 UTC
lollypop-0.9.925-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f509e4cb54

Comment 13 Fedora Update System 2019-03-11 20:48:52 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-42fc100c6d

Comment 14 Fedora Update System 2019-03-20 22:12:45 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-03-21 14:40:25 UTC
lollypop-0.9.925-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-03-29 19:11:43 UTC
lollypop-0.9.925-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.